package gov.va.med.mpn.dao.interfaces;
// Generated Sep 16, 2014 1:53:04 PM by Hibernate Tools 4.3.1


import java.util.List;

import gov.va.med.mpn.dao.core.interfaces.CodedControlDataDAOCore;
import gov.va.med.mpn.entity.pojo.CodedControlData;

/**
 * DAO Interface for CodedControlData.
 *
 * @see gov.va.med.mpn.dao.interfaces.CodedControlDataDAOCore
 */
public interface CodedControlDataDAO extends CodedControlDataDAOCore {

	public CodedControlData findAllWithUUID(String uuid);
	public List<CodedControlData> findCodedControlDataWithControlName(String controlName);
	public List<CodedControlData> findCodedControlDataWithClassId(Integer classId);
	public List<CodedControlData> findCodedControlDataWithCategoryId(Integer catId);
	public List<CodedControlData> findCodedControlDataWithCategoryIdAndName(Integer catId,String controlName);
	public List<CodedControlData> findCodedControlDataWithClassificationIdAndName(Integer classId,String controlName);
	public List<CodedControlData> findCodedControlDataWithClassificationIdAndCategoryId(Integer classId,Integer catId);
	public List<CodedControlData> findCodedControlDataWithClassificationIdAndCategoryIdAndName(Integer classId,Integer catId,String controlName);

}

